FreeMat

- Main Page
- Related Pages

vtkDataArrayCollectionIterator

Section: Visualization Toolkit Common Classes

# Usage

vtkDataArrayCollectionIterator provides an implementation of vtkCollectionIterator which allows the items to be retrieved with the proper subclass pointer type for vtkDataArrayCollection.

To create an instance of class vtkDataArrayCollectionIterator, simply invoke its constructor as follows

      obj = vtkDataArrayCollectionIterator

# Methods

The class vtkDataArrayCollectionIterator has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkDataArrayCollectionIterator class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkDataArrayCollectionIterator = obj.NewInstance ()`
- `vtkDataArrayCollectionIterator = obj.SafeDownCast (vtkObject o)`
- `obj.SetCollection (vtkCollection )` - Set the collection over which to iterate.
- `obj.SetCollection (vtkDataArrayCollection )` - Set the collection over which to iterate.
- `vtkDataArray = obj.GetDataArray ()` - Get the item at the current iterator position. Valid only when IsDoneWithTraversal() returns 1.